Package: org.codehaus.groovy.ast.decompiled

## [Java] Class AsmReferenceResolver

- org.codehaus.groovy.ast.decompiled.AsmReferenceResolver

-     public class AsmReferenceResolver
      extends Object

  A helper class used to resolve references found in ASM-decompiled classes.

  See Also:
    DecompiledClassNode
    AsmDecompiler

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AsmReferenceResolver(ClassNodeResolver resolver, CompilationUnit unit)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `resolveClass(String className)`
    `` | `public ClassNode` | `resolveClassNullable(String className)`
    `` | `public Class` | `resolveJvmClass(String name)`
    `` | `public ClassNode` | `resolveType(org.objectweb.asm.Type type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public AsmReferenceResolver(ClassNodeResolver resolver, CompilationUnit unit)

  - ### Method Detail

    - #### public ClassNode resolveClass(String className)

    - #### public ClassNode resolveClassNullable(String className)

    - #### public Class resolveJvmClass(String name)

    - #### public ClassNode resolveType(org.objectweb.asm.Type type)